#2537 closed defect (fixed)

Use Newlib exec*() variants and remove RTEMS versions

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 5.1
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

In reviewing RTEMS+newlib POSIX conformance, I noticed that our newlib configuration does include the exec*() variants. All of these call _execve() which we already provided.

This ticket is just to explain the removal of the RTEMS copies. The functional behavior to the user is still to return ENOSYS.

Change History (3)

comment:1 Changed on Jan 19, 2016 at 6:33:27 PM by Joel Sherrill <joel@…>

Resolution: fixed
Status: newclosed

In 22bb1b61cb4efe0c0dbe41057aac83bb5cffb5d3/rtems:

posix/src/exec*: Remove all variants already in Newlib

The RTEMS build of Newlib includes implementations of all exec*()
variants. They rely on the _execve() support method. RTEMS already
had this and it returned ENOSYS. There is no functional change.

closes #2537.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.